// Class Code Set 20

// noise #2
float x, y, oldX, oldY;
float xNoise, yNoise;
float xOffSet, yOffSet;


void setup( )
{
   size( 800, 300 );
   xNoise = random( width );
   yNoise = random( height );
   xOffSet = 0.1;
   yOffSet = 0.1;
   strokeWeight( 4 );
   rectMode( CENTER );
   textAlign( CENTER, CENTER );
   background( 0 );
}

void draw( )
{
    //drawRandomPoint( );
    //drawRandomLine( );
    drawNoisePoint( );
    drawNoiseLine( );
    
    eraseOldStuff( );
    showFrameRate( );
}

void drawRandomPoint( )
{
    stroke(  0, 0, 255 );
    strokeWeight( 4 );
    x = random( width);
    y = random( height);
    point( x, y );      
}

void drawRandomLine( )
{
  stroke(  200, 0, 0 );
  strokeWeight( 1 );
  
  line( oldX, oldY, x, y );
  
  oldX = x;
  oldY = y;
}

void drawNoisePoint( )
{
    stroke( 0, 0, 255 );
    strokeWeight( 1 );
    x = noise( xNoise )  * width ;
    y = noise( yNoise )  * height;
    point( frameCount%width, y );
    xNoise = xNoise + xOffSet;
    yNoise = yNoise + yOffSet; 
}

void drawNoiseLine( )
{
    stroke( 255, 0, 0 );
    strokeWeight( 1 );;

    line( oldX, oldY, frameCount%width, y );
    
    oldX = frameCount%width;
    oldY = y;
}

void showFrameRate( )
{
   fill( 200, 200,20 );
   noStroke( );
   rectMode( CENTER );
   rect( 50,  20, 50, 20 );
   fill( 0 );
   textSize( 12 );
   text( frameRate, 50, 20 ); 
}

void eraseOldStuff( )
{
   fill( 0 );
   noStroke( );
   rectMode(CORNERS);
   rect( frameCount%width + 2, 0, frameCount%width + 50, height);
}


